<?php
$Text = str_replace("<span _fck_bookmark=\"1\" style=\"display: none;\">&nbsp;</span>", " ", $_POST['editor1']);

$sql = 'UPDATE ' . PREFIX . '_Schrift SET
			Betreff = "' . $_POST['Betreff'] . '",
			Text	= "' . addslashes($Text) . '"
		WHERE
			(Jahr 		= "' . $Jahr . '"
		AND
			ID 			= "' . $ID . '");';
$stmt = $db->prepare($sql);
if (!$stmt)
{
	die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
}
if (!$stmt->execute())
{
	die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
}
echo "<h2>Brief Nummer " . str_replace(",", "_", $_POST['ID']) . " wurde gespeichert!</h2>\n";
echo "<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\">\n";
echo "	<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
echo "	<input type=\"submit\" class=\"button_view\" name=\"formaction\" value=\"view\" title=\"Brief anzeigen\" />\n";
echo "	<input type=\"submit\" class=\"button_email\" name=\"formaction\" value=\"email\" title=\"Brief versenden\" />\n";
echo "</form>\n";
echo "<br class=\"fix\" />\n";